Pay by Bank

Quickstart

From zero to a Pay by Bank payment in the MITE sandbox.

Pay by Bank is part of the Advanced Payments family, so the API credentials and account setup are shared with Cards & Wallets.

Get an account or update existing one

If you don't already have an explorer account sign up for one here to get access to our Merchant Integration Test Environment (MITE)

Pay by Bank is not enabled by default, so contact us to have it enabled on your new or existing account.

Take your first payment

The quickest way to see Pay by Bank working is the PaySuite Payment Page — there is no payment form to build and nothing to host.

  1. From the email received, take a note of your API username and password.
  2. Take a note of the installation id (instId) of your PaySuite Payment Page installation.
  3. Create a payment session with the request below.
Creating your first Pay by Bank payment session
EndpointDefinition
POST /hosted/rest/sessions/{instId}/payments
Request body
{
  "session": {
    "returnUrl": {
      "url": "http://www.example.com/transactionResult?MERCHANTREF=761585761585"
    }
  },
  "transaction": {
    "merchantReference": "761585761585",
    "money": {
      "amount": {
        "fixed": 10.30
      },
      "currency": "GBP"
    }
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/hosted/rest/sessions/{instId}/payments" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "session": {
    "returnUrl": {
      "url": "http://www.example.com/transactionResult?MERCHANTREF=761585761585"
    }
  },
  "transaction": {
    "merchantReference": "761585761585",
    "money": {
      "amount": {
        "fixed": 10.30
      },
      "currency": "GBP"
    }
  }
}'
Response
HTTP/1.1 200
{
  "sessionId": "5280f295-b7ea-4eaa-8e3b-ebd6fa67cc58",
  "redirectUrl": "https://secure.mite.pay360.com/hosted/8f2c9ec4-f9e6-44a7-b14a-39a47d3aeb65/begin/5280f295-b7ea-4eaa-8e3b-ebd6fa67cc58",
  "status": "SUCCESS"
}
Notes:
  • Follow the link returned in redirectUrl to reach the payment page. See Testing for the test bank and credentials that complete the payment journey.

Next steps